[IPython-dev] Issue with upgrading from 0.6.15 to 0.7.0 via easy_install

Travis Caldwell travis_caldwell2000 at yahoo.com
Thu Jan 12 10:44:37 CST 2006


 > 
 > Fernando Perez wrote:
 >
 > > Can you somehow just blow out the 0.6.15 egg and install the  
 > 0.7.0 one?  Do 
 > > eggs have a 'delete' command that just removes them altogether? 
 > 
 > Sort of.
 > 
 >   $ rm /path/to/ipython-0.6.15-py2.4.egg

I tried this and 0.6.15 still came up. So now I was really puzzled. 

After some digging I realized that I still had my PYTHONPATH set for
the sytem python2.3 installation. And that the ipython install in
PYTHONPATH was the one gettting run.

After blowing away PYTHONPATH, 0.7.0 worked just fine.

(I also didn't realize that the egg's in site-packages are actually
directories. If I had realized that I could just 'cd' into them, I
wouldn't have messed with the setuptools API)

 So this can basically be chalked up to user error.

 Thanks for the help.

                 _Travis_Caldwell_


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 




More information about the IPython-dev mailing list